package cn.com.ty.lift.business.emergency.service.impl;

import cn.com.ty.lift.business.emergency.dto.RepairRequest;
import cn.com.ty.lift.business.emergency.dto.RepairResponse;
import cn.com.ty.lift.business.emergency.entity.EmergencyRepair;
import cn.com.ty.lift.business.emergency.mapper.EmergencyRepairMapper;
import cn.com.ty.lift.business.emergency.service.EmergencyRepairService;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 临修记录 服务实现类
 * </p>
 *
 * @author wcz
 * @since 2019-12-04
 */
@Service
public class EmergencyRepairServiceImpl extends ServiceImpl<EmergencyRepairMapper, EmergencyRepair> implements EmergencyRepairService {

    @Autowired
    private EmergencyRepairMapper emergencyRepairMapper;

    @Override
    public IPage<RepairResponse> listByRepairing(RepairRequest request) {
        long pageSize = request.getPageSize();
        long pageNum = request.getPageNum();
        IPage<RepairResponse>  page = new Page<>(pageNum,pageSize);
        emergencyRepairMapper.listByRepairing(page);
        return page;
    }

    @Override
    public IPage<RepairResponse> listByCondition(RepairRequest request) {
        long pageNum = request.getPageNum();
        long pageSize = request.getPageSize();
        IPage<RepairResponse> page = new Page<>(pageNum,pageSize);
        return emergencyRepairMapper.listByCondition(page,request);
    }

    @Override
    public long countByCondition(RepairRequest request) {
        return emergencyRepairMapper.countByCondition(request);
    }

    @Override
    public RepairResponse selectByIdWithInfo(RepairRequest request) {
        return emergencyRepairMapper.selectByIdWithInfo(request);
    }

    @Override
    public IPage<RepairResponse> pageByUser(RepairRequest request) {
        long pageNum = request.getPageNum();
        long pageSize = request.getPageSize();
        IPage<RepairResponse> page = new Page<>(pageNum,pageSize);
        return emergencyRepairMapper.pageByUser(page,request);
    }
}
