package cn.com.ty.lift.business.evaluation.dao.entity;

import cn.com.ty.lift.business.evaluation.dao.entity.model.EvaluationRequest;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 保养单用户评价
 * </p>
 *
 * @author huangy
 * @since 2019-12-31
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class Evaluation implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId("id")
    private Long id;

    /**
     * 电梯ID
     */
    @TableField("lift_id")
    private Long liftId;

    /**
     * 维修/保养记录ID
     */
    @TableField("record_id")
    private Long recordId;

    /**
     * 来源（1 维保；2 急修）
     */
    @TableField("source")
    private Integer source;

    /**
     * 类型（1 物业评价；2 手写评价；3 自动评价）
     */
    @TableField("type")
    private Integer type;

    /**
     * 用户建议
     */
    @TableField("advice")
    private String advice;

    /**
     * 服务态度
     */
    @TableField("service_level")
    private Integer serviceLevel;

    /**
     * 保养满意度
     */
    @TableField("star_level")
    private Integer starLevel;

    /**
     * 手写签名图片
     */
    @TableField("img_url")
    private String imgUrl;

    /**
     * 评价时间
     */
    @TableField("post_date")
    private LocalDateTime postDate;

    /**
     * 评价人ID
     */
    @TableField("user_id")
    private Long userId;

    public Evaluation() {
    }

    public Evaluation(EvaluationRequest evaluationRequest) {
        this.id = evaluationRequest.getId();
        this.liftId = evaluationRequest.getLiftId();
        this.recordId = evaluationRequest.getRecordId();
        this.source = evaluationRequest.getSource();
        this.type = evaluationRequest.getType();
        this.advice = evaluationRequest.getAdvice();
        this.serviceLevel = evaluationRequest.getServiceLevel();
        this.starLevel = evaluationRequest.getStarLevel();
        this.imgUrl = evaluationRequest.getImgUrl();
        this.userId = evaluationRequest.getUserId();
    }
}
