package cn.com.ty.lift.business.maintenance.dao.entity.model.request;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @author bieao
 * @date 2019/12/16
 * @description 修改维保计划请求
 */
@Data
public class MaintenanceModifyRequest {

    /**
     * 电梯ID
     */
    @NotNull(message = "notEmpty")
    private Long liftId;

    /**
     * 维保公司ID
     */
    @NotNull(message = "notEmpty")
    private Long mtCompanyId;
    /**
     * 项目id
     */
    @NotNull(message = "notEmpty")
    private Long projectId;

    /**
     * 当前时间
     */
    @NotNull(message = "notEmpty")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date currentTime;

    /**
     * 修改时间
     */
    @NotNull(message = "notEmpty")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date updateTime;
}
