package cn.com.ty.lift.business.project.service;

import cn.com.ty.lift.business.project.dao.entity.Project;
import cn.com.ty.lift.business.project.dao.entity.model.request.CompanyRequest;
import cn.com.ty.lift.business.project.dao.entity.model.request.ProjectDetailRequest;
import cn.com.ty.lift.business.project.dao.entity.model.response.ProjectCompanyResponse;
import cn.com.ty.lift.business.project.dao.entity.model.response.ProjectLiftResponse;
import cn.com.ty.lift.business.project.dao.mapper.ProjectMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * @author bieao
 * @date 2019/12/31
 * @description app端项目管理业务层
 */
@Slf4j
@Service
public class ProjectAppService extends ServiceImpl<ProjectMapper,Project> {

    @Resource
    private ProjectMapper projectMapper;

    /**
     * @param request 公司id
     * @return RestResponse 项目列表
     * @description 根据公司id查询公司下项目列表
     * @date 2019/12/31 4:25 PM
     */
    public IPage<ProjectCompanyResponse> list(CompanyRequest request) {
        IPage<ProjectCompanyResponse> page = new Page<>(request.getPageNum(), request.getPageSize());
        return projectMapper.findListByCompanyId(page, request);
    }

    /**
     * @param request 项目id
     * @return RestResponse 电梯列表
     * @description 根据项目id查询项目下电梯列表
     * @date 2019/12/31 3:13 PM
     */
    public IPage<ProjectLiftResponse> list(ProjectDetailRequest request) {
        IPage<ProjectLiftResponse> page = new Page<>(request.getPageNum(), request.getPageSize());
        return projectMapper.findListByProjectId(page, request);
    }

}
